#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    if (n == 4)
    {
        cout << "4 8 1 5" << endl;
        cout << "3 7 2 6" << endl;
    }

}